download error

61 views
Skip to first unread message

Theo Kirkland

unread,
Feb 6, 2024, 2:32:40 PMFeb 6
to Biociphers
I am trying to download MAJIQ onto an M1 mac.  I have the dependencies.  When I follow the instruction I get the following error "Successfully built rna_majiq_meta rna-voila gtfparse intervaltree MarkupSafe psutil
Failed to build rna-majiq h5py
ERROR: Could not build wheels for rna-majiq, h5py, which is required to install pyproject.toml-based projects"

I this a serious issue?

Thanks

Theo

Theo Kirkland

unread,
Feb 6, 2024, 2:46:55 PMFeb 6
to Biociphers
More info about this

(env)
theoneal@MacBook-Pro ~
$ conda list -n env
Error while loading conda entry point: conda-content-trust (dlopen(/Applications/anaconda3/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust.abi3.so, 0x0002): Library not loaded: @rpath/libssl.3.dylib
  Referenced from: <0C61290F-F945-331D-AD67-F25ECCCD13A2> /Applications/anaconda3/lib/python3.10/site-packages/cryptography/hazmat/bindings/_rust.abi3.so
  Reason: tried: '/Applications/anaconda3/lib/python3.10/site-packages/cryptography/hazmat/bindings/../../../../../libssl.3.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Applications/anaconda3/lib/python3.10/site-packages/cryptography/hazmat/bindings/../../../../../libssl.3.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Applications/anaconda3/bin/../lib/libssl.3.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/Applications/anaconda3/bin/../lib/libssl.3.dylib' (mach-o file, but is an incompatible architecture (have 'x86_64', need 'arm64')), '/usr/local/lib/libssl.3.dylib' (no such file), '/usr/lib/libssl.3.dylib' (no such file, not in dyld cache))

Does this mean that majiq doesn't run on an M1 mac?  Is there anything that I can do about this?

Thanks
Reply all
Reply to author
Forward
0 new messages